--- old/usr/src/uts/common/sys/int_types.h	Sat Aug  2 23:27:22 2014
+++ new/usr/src/uts/common/sys/int_types.h	Sat Aug  2 23:27:22 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -27,8 +29,6 @@
 #ifndef _SYS_INT_TYPES_H
 #define	_SYS_INT_TYPES_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * This file, <sys/int_types.h>, is part of the Sun Microsystems implementation
  * of <inttypes.h> defined in the ISO C standard, ISO/IEC 9899:1999
@@ -74,10 +74,8 @@
 #if defined(_CHAR_IS_SIGNED)
 typedef char			int8_t;
 #else
-#if defined(__STDC__)
 typedef signed char		int8_t;
 #endif
-#endif
 typedef short			int16_t;
 typedef int			int32_t;
 #ifdef	_LP64
@@ -133,10 +131,8 @@
 #if defined(_CHAR_IS_SIGNED)
 typedef char			int_fast8_t;
 #else
-#if defined(__STDC__)
 typedef signed char		int_fast8_t;
 #endif
-#endif
 typedef int			int_fast16_t;
 typedef int			int_fast32_t;
 #ifdef	_LP64
@@ -165,10 +161,8 @@
 #if defined(_CHAR_IS_SIGNED)
 typedef char			int_least8_t;
 #else
-#if defined(__STDC__)
 typedef signed char		int_least8_t;
 #endif
-#endif
 typedef short			int_least16_t;
 typedef int			int_least32_t;
 #ifdef	_LP64
